Bug 1054210 - alt-tab stop to focus applications and gnome-terminal is always first on panel
Summary: alt-tab stop to focus applications and gnome-terminal is always first on panel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 13:07 UTC by Renato Botelho
Modified: 2015-06-29 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:30:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Renato Botelho 2014-01-16 13:07:33 UTC
Description of problem:

By default, current application is always the first icon to showed on alt-tab panel, and the last used stay on its side. It works ok, but, after start gnome-terminal and keep using the system, at some point, gnome-terminal icon is fixed as the first item of the panel, and when you press alt-tab, the current application icon is on the right side and is selected, so, pressing alt-tab once will send you to the same current application.

The other effect when this error happens is, you choose another application and it simply doesn't focus it, it just shows a notification on the bottom saying that the application is ready.

The only way to restore it is restarting gnome-shell.

I don't know how but gnome-terminal seems to be the responsible, because If I do not use it, error doesn't happen anymore.

This issue started to happen after I upgraded fedora 19 to 20.

I disabled all extensions from my gnome-shell and it didn't help.

Please let me know if there is more things I can do to collect useful information.

Version-Release number of selected component (if applicable):

gnome-terminal-3.10.2-1.fc20.x86_64
gnome-shell-3.10.2.1-3.fc20.x86_64

How reproducible:

Happens every hour on my system

Steps to Reproduce:
1. Start gnome-terminal (usually more than one window)
2. Start other applications
3. Use the system for sometime (alt-tab)

Actual results:


Expected results:


Additional info:

Comment 1 Florian Müllner 2014-01-16 14:15:41 UTC
This might be a known upstream issue[0] that was fixed a while ago. Can you reproduce the issue directly with these steps:

  1. Start some app, make it open a dialog that does not
     show up in the activities overview
     (e.g. gnome-terminal preferences)
  2. Start some other app
  3. Alt-tab to first app

Alt-tab should now be "stuck" on the first app. If this is indeed the same issue, its fix is included in gnome-shell-3.10.3 which I filed as update yesterday[1]

[0] https://bugzilla.gnome.org/show_bug.cgi?id=719824
[1] https://admin.fedoraproject.org/updates/mutter-3.10.3-1.fc20,gnome-shell-3.10.3-1.fc20

Comment 2 Renato Botelho 2014-01-16 18:08:58 UTC
It's not the same issue. I cannot reproduce following these steps, also, I updated mutter and gnome-shell to 3.10.3 and the issue just happened again.

It only happens with gnome-terminal (that is started only with --geometry=100x40). And after another test here, I noted that if I close all gnome-terminal windows, it back to work as expected. Maybe this issue should be changed to gnome-terminal instead of gnome-shell?

I'll try to start gnome-terminal-server on a separated xterm, with debug enabled, and see if I can collect any info.

Comment 3 Fedora End Of Life 2015-05-29 10:31:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 14:30:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.